Generate T2125
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"client_id": "fake_client_id",
"userId": "fake_userId",
"year": 2018,
"businessType": "REAL_ESTATE_AGENT",
"income": [
{
"amount": 10000.01,
"date": "2023-12-25",
"salesTax": 100.01
}
],
"expenses": [
{
"vendorName": "Acme",
"categoryId": "13005023",
"id": "1",
"amount": 100.02,
"hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",
"lineNumber": "<string>"
}
],
"identificationSection": {
"name": "Henry Earnshaw",
"businessName": "Achme",
"businessNumber": "xxxxxxxxxxxxxxx",
"businessAddress": "4892 MacLaren Street",
"city": "Ottawa",
"province": "ON",
"postalCode": "K1P5M7",
"fiscalPeriodFrom": "20180101",
"fiscalPeriodTo": "20180430",
"mainProductOrService": "Achme",
"industryCode": "xxxxxx"
},
"t2125BusinessOrProfessionalIncomeField": {
"line8000": 123,
"line8290": 123,
"line8230": 123,
"line3P": 123,
"line8299": 123
},
"t2125COGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
},
"t2125CCOGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
}
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125"
payload = "{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "client_id": "fake_client_id",\n "userId": "fake_userId",\n "year": 2018,\n "businessType": "REAL_ESTATE_AGENT",\n "income": [\n {\n "amount": 10000.01,\n "date": "2023-12-25",\n "salesTax": 100.01\n }\n ],\n "expenses": [\n {\n "vendorName": "Acme",\n "categoryId": "13005023",\n "id": "1",\n "amount": 100.02,\n "hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",\n "lineNumber": "<string>"\n }\n ],\n "identificationSection": {\n "name": "Henry Earnshaw",\n "businessName": "Achme",\n "businessNumber": "xxxxxxxxxxxxxxx",\n "businessAddress": "4892 MacLaren Street",\n "city": "Ottawa",\n "province": "ON",\n "postalCode": "K1P5M7",\n "fiscalPeriodFrom": "20180101",\n "fiscalPeriodTo": "20180430",\n "mainProductOrService": "Achme",\n "industryCode": "xxxxxx"\n },\n "t2125BusinessOrProfessionalIncomeField": {\n "line8000": 123,\n "line8290": 123,\n "line8230": 123,\n "line3P": 123,\n "line8299": 123\n },\n "t2125COGSField": {\n "line17": 150000,\n "line8300": 0,\n "line8320": 0,\n "line8340": 0,\n "line8360": 0,\n "line8450": 0,\n "line18": 0,\n "line8500": 0,\n "line8518": 0,\n "line19": 0,\n "line8519": 150000\n },\n "t2125CCOGSField": {\n "line17": 150000,\n "line8300": 0,\n "line8320": 0,\n "line8340": 0,\n "line8360": 0,\n "line8450": 0,\n "line18": 0,\n "line8500": 0,\n "line8518": 0,\n "line19": 0,\n "line8519": 150000\n }\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125"
payload := strings.NewReader("{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}"
response = http.request(request)
puts response.read_body{
"url": "https://s3.amazonaws.com/Tight-Dev/Reports/Temp/c2cd0cf0-bd33-4fe7-844f-9e90df7575ec/ScheduleC_2018.pdf",
"status": "SUCCESS"
}Tax Engine Express
Generate T2125
Generate a T2125 PDF
POST
/
v5
/
taxEngineExpress
/
pdfT2125
Generate T2125
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"client_id": "fake_client_id",
"userId": "fake_userId",
"year": 2018,
"businessType": "REAL_ESTATE_AGENT",
"income": [
{
"amount": 10000.01,
"date": "2023-12-25",
"salesTax": 100.01
}
],
"expenses": [
{
"vendorName": "Acme",
"categoryId": "13005023",
"id": "1",
"amount": 100.02,
"hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",
"lineNumber": "<string>"
}
],
"identificationSection": {
"name": "Henry Earnshaw",
"businessName": "Achme",
"businessNumber": "xxxxxxxxxxxxxxx",
"businessAddress": "4892 MacLaren Street",
"city": "Ottawa",
"province": "ON",
"postalCode": "K1P5M7",
"fiscalPeriodFrom": "20180101",
"fiscalPeriodTo": "20180430",
"mainProductOrService": "Achme",
"industryCode": "xxxxxx"
},
"t2125BusinessOrProfessionalIncomeField": {
"line8000": 123,
"line8290": 123,
"line8230": 123,
"line3P": 123,
"line8299": 123
},
"t2125COGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
},
"t2125CCOGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
}
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125"
payload = "{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "client_id": "fake_client_id",\n "userId": "fake_userId",\n "year": 2018,\n "businessType": "REAL_ESTATE_AGENT",\n "income": [\n {\n "amount": 10000.01,\n "date": "2023-12-25",\n "salesTax": 100.01\n }\n ],\n "expenses": [\n {\n "vendorName": "Acme",\n "categoryId": "13005023",\n "id": "1",\n "amount": 100.02,\n "hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",\n "lineNumber": "<string>"\n }\n ],\n "identificationSection": {\n "name": "Henry Earnshaw",\n "businessName": "Achme",\n "businessNumber": "xxxxxxxxxxxxxxx",\n "businessAddress": "4892 MacLaren Street",\n "city": "Ottawa",\n "province": "ON",\n "postalCode": "K1P5M7",\n "fiscalPeriodFrom": "20180101",\n "fiscalPeriodTo": "20180430",\n "mainProductOrService": "Achme",\n "industryCode": "xxxxxx"\n },\n "t2125BusinessOrProfessionalIncomeField": {\n "line8000": 123,\n "line8290": 123,\n "line8230": 123,\n "line3P": 123,\n "line8299": 123\n },\n "t2125COGSField": {\n "line17": 150000,\n "line8300": 0,\n "line8320": 0,\n "line8340": 0,\n "line8360": 0,\n "line8450": 0,\n "line18": 0,\n "line8500": 0,\n "line8518": 0,\n "line19": 0,\n "line8519": 150000\n },\n "t2125CCOGSField": {\n "line17": 150000,\n "line8300": 0,\n "line8320": 0,\n "line8340": 0,\n "line8360": 0,\n "line8450": 0,\n "line18": 0,\n "line8500": 0,\n "line8518": 0,\n "line19": 0,\n "line8519": 150000\n }\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125"
payload := strings.NewReader("{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"client_id\": \"fake_client_id\",\n \"userId\": \"fake_userId\",\n \"year\": 2018,\n \"businessType\": \"REAL_ESTATE_AGENT\",\n \"income\": [\n {\n \"amount\": 10000.01,\n \"date\": \"2023-12-25\",\n \"salesTax\": 100.01\n }\n ],\n \"expenses\": [\n {\n \"vendorName\": \"Acme\",\n \"categoryId\": \"13005023\",\n \"id\": \"1\",\n \"amount\": 100.02,\n \"hurdlrTaxCategory\": \"DEDUCTIBLE_MEALS_AND_ENTERTAINMENT\",\n \"lineNumber\": \"<string>\"\n }\n ],\n \"identificationSection\": {\n \"name\": \"Henry Earnshaw\",\n \"businessName\": \"Achme\",\n \"businessNumber\": \"xxxxxxxxxxxxxxx\",\n \"businessAddress\": \"4892 MacLaren Street\",\n \"city\": \"Ottawa\",\n \"province\": \"ON\",\n \"postalCode\": \"K1P5M7\",\n \"fiscalPeriodFrom\": \"20180101\",\n \"fiscalPeriodTo\": \"20180430\",\n \"mainProductOrService\": \"Achme\",\n \"industryCode\": \"xxxxxx\"\n },\n \"t2125BusinessOrProfessionalIncomeField\": {\n \"line8000\": 123,\n \"line8290\": 123,\n \"line8230\": 123,\n \"line3P\": 123,\n \"line8299\": 123\n },\n \"t2125COGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n },\n \"t2125CCOGSField\": {\n \"line17\": 150000,\n \"line8300\": 0,\n \"line8320\": 0,\n \"line8340\": 0,\n \"line8360\": 0,\n \"line8450\": 0,\n \"line18\": 0,\n \"line8500\": 0,\n \"line8518\": 0,\n \"line19\": 0,\n \"line8519\": 150000\n }\n}"
response = http.request(request)
puts response.read_body{
"url": "https://s3.amazonaws.com/Tight-Dev/Reports/Temp/c2cd0cf0-bd33-4fe7-844f-9e90df7575ec/ScheduleC_2018.pdf",
"status": "SUCCESS"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
tax calculation parameters
The client_id of the Tight Partner
Example:
"fake_client_id"
An anonymized userId, used for tracking API usage. The Tight Partner decides how to anonymize it.
Example:
"fake_userId"
The T2125 form year
Example:
2018
The business type of the user
Available options:
DRIVER, REAL_ESTATE_AGENT, CONSULTANT, SALES, FREELANCER, HOST, E_COMMERCE, INSURANCE_AGENT, RETAIL, OTHER Example:
"REAL_ESTATE_AGENT"
Income transaction array
Show child attributes
Show child attributes
Expense transaction array
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes